Package org.eclipse.draw2d

# Interface ColorConstants

All Known Implementing Classes:
  `ButtonBorder`, `SchemeBorder`, `SimpleEtchedBorder`, `SimpleLoweredBorder`, `SimpleRaisedBorder`

public interface ColorConstants
A collection of color-related constants.

Since:
  3.13

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ColorConstants.SystemColorFactory`
This utility class is used to create a system `Color` using any of the supported `SWT` constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`black`
One of the pre-defined colors
`static final Color`
`blue`
One of the pre-defined colors
`static final Color`
`button`
`static final Color`
`buttonDarker`
`static final Color`
`buttonDarkest`
`static final Color`
`buttonLightest`
`static final Color`
`cyan`
One of the pre-defined colors
`static final Color`
`darkBlue`
One of the pre-defined colors
`static final Color`
`darkGray`
One of the pre-defined colors
`static final Color`
`darkGreen`
One of the pre-defined colors
`static final Color`
`gray`
One of the pre-defined colors
`static final Color`
`green`
One of the pre-defined colors
`static final Color`
`lightBlue`
One of the pre-defined colors
`static final Color`
`lightGray`
One of the pre-defined colors
`static final Color`
`lightGreen`
One of the pre-defined colors
`static final Color`
`lineForeground`
`static final Color`
`listBackground`
`static final Color`
`listForeground`
`static final Color`
`listHoverBackgroundColor`
`static final Color`
`listSelectedBackgroundColor`
`static final Color`
`menuBackground`
`static final Color`
`menuBackgroundSelected`
`static final Color`
`menuForeground`
`static final Color`
`menuForegroundSelected`
`static final Color`
`orange`
One of the pre-defined colors
`static final Color`
`red`
One of the pre-defined colors
`static final Color`
`titleBackground`
`static final Color`
`titleForeground`
`static final Color`
`titleGradient`
`static final Color`
`titleInactiveBackground`
`static final Color`
`titleInactiveForeground`
`static final Color`
`titleInactiveGradient`
`static final Color`
`tooltipBackground`
`static final Color`
`tooltipForeground`
`static final Color`
`white`
One of the pre-defined colors
`static final Color`
`yellow`
One of the pre-defined colors

## Field Details

### buttonLightest

static final Color buttonLightest

See Also:
  - `SWT.COLOR_WIDGET_HIGHLIGHT_SHADOW`

### button

static final Color button

See Also:
  - `SWT.COLOR_WIDGET_BACKGROUND`

### buttonDarker

static final Color buttonDarker

See Also:
  - `SWT.COLOR_WIDGET_NORMAL_SHADOW`

### buttonDarkest

static final Color buttonDarkest

See Also:
  - `SWT.COLOR_WIDGET_DARK_SHADOW`

### listBackground

static final Color listBackground

See Also:
  - `SWT.COLOR_LIST_BACKGROUND`

### listForeground

static final Color listForeground

Since:
  3.13
See Also:
  - `SWT.COLOR_LIST_FOREGROUND`

### lineForeground

static final Color lineForeground

Since:
  3.13

### menuBackground

static final Color menuBackground

See Also:
  - `SWT.COLOR_WIDGET_BACKGROUND`

### menuForeground

static final Color menuForeground

See Also:
  - `SWT.COLOR_WIDGET_FOREGROUND`

### menuBackgroundSelected

static final Color menuBackgroundSelected

See Also:
  - `SWT.COLOR_LIST_SELECTION`

### menuForegroundSelected

static final Color menuForegroundSelected

See Also:
  - `SWT.COLOR_LIST_SELECTION_TEXT`

### titleBackground

static final Color titleBackground

See Also:
  - `SWT.COLOR_TITLE_BACKGROUND`

### titleGradient

static final Color titleGradient

See Also:
  - `SWT.COLOR_TITLE_BACKGROUND_GRADIENT`

### titleForeground

static final Color titleForeground

See Also:
  - `SWT.COLOR_TITLE_FOREGROUND`

### titleInactiveForeground

static final Color titleInactiveForeground

See Also:
  - `SWT.COLOR_TITLE_INACTIVE_FOREGROUND`

### titleInactiveBackground

static final Color titleInactiveBackground

See Also:
  - `SWT.COLOR_TITLE_INACTIVE_BACKGROUND`

### titleInactiveGradient

static final Color titleInactiveGradient

See Also:
  - `SWT.COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT`

### tooltipForeground

static final Color tooltipForeground

See Also:
  - `SWT.COLOR_INFO_FOREGROUND`

### tooltipBackground

static final Color tooltipBackground

Since:
  3.13
See Also:
  - `SWT.COLOR_INFO_BACKGROUND`

### listHoverBackgroundColor

static final Color listHoverBackgroundColor

Since:
  3.13

### listSelectedBackgroundColor

static final Color listSelectedBackgroundColor

Since:
  3.13

### white

static final Color white
One of the pre-defined colors

### lightGray

static final Color lightGray
One of the pre-defined colors

### gray

static final Color gray
One of the pre-defined colors

### darkGray

static final Color darkGray
One of the pre-defined colors

### black

static final Color black
One of the pre-defined colors

### red

static final Color red
One of the pre-defined colors

### orange

static final Color orange
One of the pre-defined colors

### yellow

static final Color yellow
One of the pre-defined colors

### green

static final Color green
One of the pre-defined colors

### lightGreen

static final Color lightGreen
One of the pre-defined colors

### darkGreen

static final Color darkGreen
One of the pre-defined colors

### cyan

static final Color cyan
One of the pre-defined colors

### lightBlue

static final Color lightBlue
One of the pre-defined colors

### blue

static final Color blue
One of the pre-defined colors

### darkBlue

static final Color darkBlue
One of the pre-defined colors